<template>
  <div>

    <div v-if="geladen">
      <Snow color="#ffffff"/>
    </div>
    <table id="Dashboard">
      <thead>
      <tr>
        <th><p>Server</p></th>
        <th><p>Name</p></th>
      </tr>
      </thead>
      <tbody>
      <tr v-for="row in items">
        <td v-bind:id="'Server' + row.id"><p  v-bind:id="'Servertext' + row.id"
                                                       v-bind:value="row.server"
                                                       v-on:click="copyName('Nametext' + row.id)">{{row.server}}</p>
        </td>
        <td v-bind:id="'Servername' + row.id"><p v-bind:id="'Nametext' + row.id"
                                                   v-bind:value="row.servername"
                                               v-on:click="copyName('Nametext' + row.id)">{{row.servername}}</p>
        </td>

      </tr>
      </tbody>
    </table>

    <div class="snow-scene">
      <div class="sky"></div>
      <div class="snow-hill-1"></div>
      <div class="snow-hill-2"></div>
      <div class="snow-hill-3"></div>
      <div class="snowman">
        <div class="cactus">
          <div class="arm"></div>
          <div class="arm"></div>
        </div>
        <div class="cactus cactus-2">
          <div class="arm"></div>
          <div class="arm"></div>
        </div>

        <div class="rv">
          <div class="smoke">
            <div class="s1"></div>
            <div class="s2"></div>
            <div class="s3"></div>
            <div class="s4"></div>
            <div class="s5"></div>
            <div class="s6"></div>
            <div class="s7"></div>
            <div class="s8"></div>
            <div class="s9"></div>
            <div class="s10"></div>
          </div>
          <div class="container shadow"></div>
          <div class="top-box front"></div>
          <div class="top-box back"></div>

          <div class="container"></div>

          <div class="front-top"></div>
          <div class="front-bottom"></div>
          <div class="stripe">
            <div></div>
            <div></div>
            <div></div>
            <div></div>
          </div>
          <div class="stripe top">
            <div></div>
            <div></div>
            <div></div>
            <div></div>
          </div>

          <div class="window window-1"></div>
          <div class="window window-2"></div>
          <div class="window window-3"></div>
          <div class="door">
            <div class="window"></div>
            <div class="bullet"></div>
            <div class="bullet"></div>
            <div class="bullet"></div>
            <div class="bullet"></div>
          </div>
          <div class="window window-4"></div>
          <div class="window window-5"></div>
          <div class="canope right"></div>
          <div class="canope left"></div>
          <div class="canope top"></div>

          <div class="wheel front"></div>
          <div class="wheel back"></div>

        </div>


        <div class="bowler">
          <div class="bowlerBottom"></div>
          <div class="bowlerTop"></div>
        </div>
        <div class="head">
          <div class="eyes left"></div>
          <div class="eyes right"></div>
          <div class="glasses">
            <div class="bridge"></div>
          </div>
          <div class="nose"></div>
          <div class="mouth">
            <div class="stone"></div>
            <div class="stone"></div>
            <div class="stone"></div>
            <div class="stone"></div>
            <div class="stone"></div>
            <div class="stone"></div>
            <div class="stone"></div>
          </div>
          <div class="beard">
            <div class="inner"></div>
            <div class="lip"></div>
          </div>
        </div>
        <div class="body-shadow"></div>
        <div class="body">
          <div class="scarf-inner"></div>
          <div class="scarf-inner scarf-inner-2"></div>
          <div class="scarf"></div>

          <div class="button"></div>
          <div class="button"></div>
          <div class="arms left">
            <div class="branch"></div>
            <div class="branch"></div>
          </div>
          <div class="arms right">
            <div class="branch"></div>
            <div class="branch"></div>
          </div>
        </div>


        <div class="title">
			<span class="chemical-element">
				 <p>H</p>
				<div class="desc" role="top-left"><p>1.00794</p></div>
				<div class="desc" role="top-right">
					<p>1</p>
				</div>
				<div class="desc big" role="bottom-left-1"></div>
				<div class="desc" role="bottom-left-2"><p>1</p></div>
			</span>
          <span class="title-1"><p>oly</p></span>
          <br/>
          <span class="chemical-element">
				<p>S</p>
				<div class="desc" role="top-left"><p>32.066</p></div>
				<div class="desc" role="top-right">
					<p>3<br>
					8<br>
					6</p>
				</div>
				<div class="desc medium" role="bottom-left-1"></div>
				<div class="desc" role="bottom-left-2"><p>16</p></div>
			</span>
          <span class="title-2"><p>tate</p></span>
        </div>
      </div>
      <div class="snowing">
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
      </div>
      <div class="snowing snowing-2">
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
        <div class="snow"></div>
      </div>
    </div>
  </div>
</template>

<script>
  import navbar from "../components/navbar";
  import Snow from 'vue-niege';
  import BootstrapVue from 'bootstrap-vue'
  import axios from 'axios'
  import VueAxios from 'vue-axios'

  export default {
    name: "index",
    components: {
      navbar,
      Snow,
      BootstrapVue
    },
    data() {
      return {
        geladen:false,
        items: [
          {id:0, server:'Nas', servername:'\\\\10.01.14\\transfer'},
          {id:1, server:'Teamspeak 3',servername:'ts.jloewe.net'},
          {id:2, server:'Discord',servername:'dc.bs.ptb.de'},
          {id:3, server:'Minecraft 1', servername:'mc.jloewe.net'},
          {id:4, server:'CS:S', servername:'css.jloewe.net'},
          {id:5, server:'CS:GO', servername:'csgo.jloewe.net'},
          {id:6, server:'ARK', servername:'ark.jloewe.net'},
          {id:6, server:'Garrys Mod', servername:'gmod.bs.ptb.de'}
        ]
      }
    },
    methods: {
       copyName: async function (name)
        {
          let testingCodeToCopy = document.querySelector('#'+name).innerHTML;
          try {
            await navigator.clipboard.writeText(testingCodeToCopy);
            alert(testingCodeToCopy+' wurde erfolgreich in die Zwischenablage gelegt.');
          } catch (err) {
            alert('Oops, bitte die Seite neuladen XD');
          }
        }
      },
    mounted() {
      this.geladen=true;
    }
  }

</script>

<style scoped>

</style>
